Index: svn/src/northbridge/amd/amdfam10/amdfam10_acpi.c
===================================================================
--- svn.orig/src/northbridge/amd/amdfam10/amdfam10_acpi.c
+++ svn/src/northbridge/amd/amdfam10/amdfam10_acpi.c
@@ -60,7 +60,7 @@ unsigned long acpi_create_srat_lapics(un
 		if (!cpu->enabled) {
 			continue;
 		}
-		printk(BIOS_DEBUG, "SRAT: lapic cpu_index=%02x, node_id=%02x, apic_id=%02x\n", cpu_index, cpu->path.apic.node_id, cpu->path.apic.apic_id);
+		printk(DEBUG, "SRAT: lapic cpu_index=%02x, node_id=%02x, apic_id=%02x\n", cpu_index, cpu->path.apic.node_id, cpu->path.apic.apic_id);
 		current += acpi_create_srat_lapic((acpi_srat_lapic_t *)current, cpu->path.apic.node_id, cpu->path.apic.apic_id);
 		cpu_index++;
 	}
@@ -89,7 +89,7 @@ static void set_srat_mem(void *gp, struc
 	basek = resk(res->base);
 	sizek = resk(res->size);
 
-	printk(BIOS_DEBUG, "set_srat_mem: dev %s, res->index=%04lx startk=%08lx, sizek=%08lx\n",
+	printk(DEBUG, "set_srat_mem: dev %s, res->index=%04lx startk=%08lx, sizek=%08lx\n",
 			dev_path(dev), res->index, basek, sizek);
 	/*
 	 * 0-640K must be on node 0
@@ -338,7 +338,7 @@ unsigned long acpi_add_ssdt_pstates(acpi
 		if (!cpu->enabled) {
 			 continue;
 		}
-		printk(BIOS_DEBUG, "ACPI: pstate cpu_index=%02x, node_id=%02x, core_id=%02x\n", cpu_index, cpu->path.apic.node_id, cpu->path.apic.core_id);
+		printk(DEBUG, "ACPI: pstate cpu_index=%02x, node_id=%02x, core_id=%02x\n", cpu_index, cpu->path.apic.node_id, cpu->path.apic.core_id);
 
 		current	  = ( current + 0x0f) & -0x10;
 		ssdt = (acpi_header_t *)current;
Index: svn/src/northbridge/amd/amdfam10/amdfam10_conf.c
===================================================================
--- svn.orig/src/northbridge/amd/amdfam10/amdfam10_conf.c
+++ svn/src/northbridge/amd/amdfam10/amdfam10_conf.c
@@ -779,7 +779,7 @@ static void set_io_addr_reg(device_t dev
 #if 0
 		// FIXME: can we use VGA reg instead?
 		if (dev->link[link].bridge_ctrl & PCI_BRIDGE_CTL_VGA) {
-			printk(BIOS_SPEW, "%s, enabling legacy VGA IO forwarding for %s link %s\n",
+			printk(SPEW, "%s, enabling legacy VGA IO forwarding for %s link %s\n",
 				__func__, dev_path(dev), link);
 			tempreg |= PCI_IO_BASE_VGA_EN;
 		}
Index: svn/src/northbridge/amd/amdfam10/debug.c
===================================================================
--- svn.orig/src/northbridge/amd/amdfam10/debug.c
+++ svn/src/northbridge/amd/amdfam10/debug.c
@@ -28,16 +28,16 @@ static void udelay_tsc(u32 us);
 static inline void print_debug_addr(const char *str, void *val)
 {
 #if CACHE_AS_RAM_ADDRESS_DEBUG == 1
-		printk(BIOS_DEBUG, "------Address debug: %s%p------\n", str, val);
+		printk(DEBUG, "------Address debug: %s%p------\n", str, val);
 #endif
 }
 
 static void print_debug_pci_dev(u32 dev)
 {
 #if CONFIG_PCI_BUS_SEGN_BITS==0
-	printk(BIOS_DEBUG, "PCI: %02x:%02x.%02x", (dev>>20) & 0xff, (dev>>15) & 0x1f, (dev>>12) & 0x7);
+	printk(DEBUG, "PCI: %02x:%02x.%02x", (dev>>20) & 0xff, (dev>>15) & 0x1f, (dev>>12) & 0x7);
 #else
-	printk(BIOS_DEBUG, "PCI: %04x:%02x:%02x.%02x", (dev>>28) & 0x0f, (dev>>20) & 0xff, (dev>>15) & 0x1f, (dev>>12) & 0x7);
+	printk(DEBUG, "PCI: %04x:%02x:%02x.%02x", (dev>>28) & 0x0f, (dev>>20) & 0xff, (dev>>15) & 0x1f, (dev>>12) & 0x7);
 #endif
 }
 
@@ -55,7 +55,7 @@ static inline void print_pci_devices(voi
 			continue;
 		}
 		print_debug_pci_dev(dev);
-		printk(BIOS_DEBUG, " %04x:%04x\n", (id & 0xffff), (id>>16));
+		printk(DEBUG, " %04x:%04x\n", (id & 0xffff), (id>>16));
 		if(((dev>>12) & 0x07) == 0) {
 			u8 hdr_type;
 			hdr_type = pci_read_config8(dev, PCI_HEADER_TYPE);
@@ -80,7 +80,7 @@ static inline void print_pci_devices_on_
 			continue;
 		}
 		print_debug_pci_dev(dev);
-		printk(BIOS_DEBUG, " %04x:%04x\n", (id & 0xffff), (id>>16));
+		printk(DEBUG, " %04x:%04x\n", (id & 0xffff), (id>>16));
 		if(((dev>>12) & 0x07) == 0) {
 			u8 hdr_type;
 			hdr_type = pci_read_config8(dev, PCI_HEADER_TYPE);
@@ -103,11 +103,11 @@ static void dump_pci_device_range(u32 de
 	for(i = start_reg; i < end; i+=4) {
 		u32 val;
 		if ((i & 0x0f) == 0) {
-			printk(BIOS_DEBUG, "\n%04x:",i);
+			printk(DEBUG, "\n%04x:",i);
 		}
 		val = pci_read_config32(dev, i);
 		for(j=0;j<4;j++) {
-			printk(BIOS_DEBUG, " %02x", val & 0xff);
+			printk(DEBUG, " %02x", val & 0xff);
 			val >>= 8;
 		}
 	}
@@ -128,10 +128,10 @@ static void dump_pci_device_index_wait_r
 	for(i = start; i < end; i++) {
 		u32 val;
 		int j;
-		printk(BIOS_DEBUG, "\n%02x:",i);
+		printk(DEBUG, "\n%02x:",i);
 		val = pci_read_config32_index_wait(dev, index_reg, i);
 		for(j=0;j<4;j++) {
-			printk(BIOS_DEBUG, " %02x", val & 0xff);
+			printk(DEBUG, " %02x", val & 0xff);
 			val >>= 8;
 		}
 
@@ -159,10 +159,10 @@ static inline void dump_pci_device_index
 	for(i = 0; i < length; i++) {
 		u32 val;
 		if ((i & 0x0f) == 0) {
-			printk(BIOS_DEBUG, "\n%02x:",i);
+			printk(DEBUG, "\n%02x:",i);
 		}
 		val = pci_read_config32_index(dev, index_reg, i|type);
-		printk(BIOS_DEBUG, " %08x", val);
+		printk(DEBUG, " %08x", val);
 	}
 	print_debug("\n");
 }
@@ -230,38 +230,38 @@ static void dump_spd_registers(const str
 		device = ctrl->spd_addr[i];
 		if (device) {
 			int j;
-			printk(BIOS_DEBUG, "dimm: %02x.0: %02x", i, device);
+			printk(DEBUG, "dimm: %02x.0: %02x", i, device);
 			for(j = 0; j < 128; j++) {
 				int status;
 				u8 byte;
 				if ((j & 0xf) == 0) {
-					printk(BIOS_DEBUG, "\n%02x: ", j);
+					printk(DEBUG, "\n%02x: ", j);
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
 					break;
 				}
 				byte = status & 0xff;
-				printk(BIOS_DEBUG, "%02x ", byte);
+				printk(DEBUG, "%02x ", byte);
 			}
 			print_debug("\n");
 		}
 		device = ctrl->spd_addr[i+DIMM_SOCKETS];
 		if (device) {
 			int j;
-			printk(BIOS_DEBUG, "dimm: %02x.1: %02x", i, device);
+			printk(DEBUG, "dimm: %02x.1: %02x", i, device);
 			for(j = 0; j < 128; j++) {
 				int status;
 				u8 byte;
 				if ((j & 0xf) == 0) {
-					printk(BIOS_DEBUG, "\n%02x: ", j);
+					printk(DEBUG, "\n%02x: ", j);
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
 					break;
 				}
 				byte = status & 0xff;
-				printk(BIOS_DEBUG, "%02x ", byte);
+				printk(DEBUG, "%02x ", byte);
 			}
 			print_debug("\n");
 		}
@@ -274,7 +274,7 @@ static void dump_smbus_registers(void)
 	for(device = 1; device < 0x80; device++) {
 		int j;
 		if( smbus_read_byte(device, 0) < 0 ) continue;
-		printk(BIOS_DEBUG, "smbus: %02x", device);
+		printk(DEBUG, "smbus: %02x", device);
 		for(j = 0; j < 256; j++) {
 			int status;
 			u8 byte;
@@ -283,10 +283,10 @@ static void dump_smbus_registers(void)
 				break;
 			}
 			if ((j & 0xf) == 0) {
-				printk(BIOS_DEBUG, "\n%02x: ",j);
+				printk(DEBUG, "\n%02x: ",j);
 			}
 			byte = status & 0xff;
-			printk(BIOS_DEBUG, "%02x ", byte);
+			printk(DEBUG, "%02x ", byte);
 		}
 		print_debug("\n");
 	}
@@ -297,14 +297,14 @@ static inline void dump_io_resources(u32
 
 	int i;
 	udelay_tsc(2000);
-	printk(BIOS_DEBUG, "%04x:\n", port);
+	printk(DEBUG, "%04x:\n", port);
 	for(i=0;i<256;i++) {
 		u8 val;
 		if ((i & 0x0f) == 0) {
-			printk(BIOS_DEBUG, "%02x:", i);
+			printk(DEBUG, "%02x:", i);
 		}
 		val = inb(port);
-		printk(BIOS_DEBUG, " %02x",val);
+		printk(DEBUG, " %02x",val);
 		if ((i & 0x0f) == 0x0f) {
 			print_debug("\n");
 		}
@@ -318,9 +318,9 @@ static inline void dump_mem(u32 start, u
 	print_debug("dump_mem:");
 	for(i=start;i<end;i++) {
 		if((i & 0xf)==0) {
-			printk(BIOS_DEBUG, "\n%08x:", i);
+			printk(DEBUG, "\n%08x:", i);
 		}
-		printk(BIOS_DEBUG, " %02x", (u8)*((u8 *)i));
+		printk(DEBUG, " %02x", (u8)*((u8 *)i));
 	}
 	print_debug("\n");
 }
Index: svn/src/northbridge/amd/amdfam10/get_pci1234.c
===================================================================
--- svn.orig/src/northbridge/amd/amdfam10/get_pci1234.c
+++ svn/src/northbridge/amd/amdfam10/get_pci1234.c
@@ -75,12 +75,12 @@ void get_pci1234(void)
 	//here we need to set hcdn
 	//1. hypertransport.c need to record hcdn_reg together with 0xe0, 0xe4, 0xe8, 0xec when are set
 	//2. so at the same time we need update hsdn with hcdn_reg here
-//	printk(BIOS_DEBUG, "sysconf.ht_c_num = %02d\n", sysconf.ht_c_num);
+//	printk(DEBUG, "sysconf.ht_c_num = %02d\n", sysconf.ht_c_num);
 
 	for(j=0;j<sysconf.ht_c_num;j++) {
 		u32 dwordx;
 		dwordx = sysconf.ht_c_conf_bus[j];
-//		printk(BIOS_DEBUG, "sysconf.ht_c_conf_bus[%02d] = %08x\n", j, sysconf.ht_c_conf_bus[j]);
+//		printk(DEBUG, "sysconf.ht_c_conf_bus[%02d] = %08x\n", j, sysconf.ht_c_conf_bus[j]);
 		dwordx &=0xfffffffd; //keep bus num, node_id, link_num, enable bits
 		if((dwordx & 0x7fd) == dword) { //SBLINK
 			sysconf.pci1234[0] = dwordx;
Index: svn/src/northbridge/amd/amdfam10/misc_control.c
===================================================================
--- svn.orig/src/northbridge/amd/amdfam10/misc_control.c
+++ svn/src/northbridge/amd/amdfam10/misc_control.c
@@ -125,7 +125,7 @@ static void misc_control_init(struct dev
 {
 	u32 cmd;
 
-	printk(BIOS_DEBUG, "NB: Function 3 Misc Control.. ");
+	printk(DEBUG, "NB: Function 3 Misc Control.. ");
 
 	/* Disable Machine checks from Invalid Locations.
 	 * This is needed for PC backwards compatibility.
@@ -134,7 +134,7 @@ static void misc_control_init(struct dev
 	cmd |= (1<<6) | (1<<25);
 	pci_write_config32(dev, 0x44, cmd );
 
-	printk(BIOS_DEBUG, "done.\n");
+	printk(DEBUG, "done.\n");
 }
 
 
Index: svn/src/northbridge/amd/amdfam10/northbridge.c
===================================================================
--- svn.orig/src/northbridge/amd/amdfam10/northbridge.c
+++ svn/src/northbridge/amd/amdfam10/northbridge.c
@@ -83,7 +83,7 @@ static void get_fx_devs(void)
 		__f4_dev[i] = get_node_pci(i, 4);
 	}
 	if (!__f1_dev[0]) {
-		printk(BIOS_ERR, "Cannot find %02x:%02x.1", CONFIG_CBB, CONFIG_CDB);
+		printk(ERROR, "Cannot find %02x:%02x.1", CONFIG_CBB, CONFIG_CDB);
 		die("Cannot go on\n");
 	}
 }
@@ -568,7 +568,7 @@ static void amdfam10_create_vga_resource
 	for (link = 0; link < dev->links; link++) {
 		if (dev->link[link].bridge_ctrl & PCI_BRIDGE_CTL_VGA) {
 #if CONFIG_CONSOLE_VGA_MULTI == 1
-			printk(BIOS_DEBUG, "VGA: vga_pri bus num = %d dev->link[link] bus range [%d,%d]\n", vga_pri->bus->secondary,
+			printk(DEBUG, "VGA: vga_pri bus num = %d dev->link[link] bus range [%d,%d]\n", vga_pri->bus->secondary,
 				dev->link[link].secondary,dev->link[link].subordinate);
 			/* We need to make sure the vga_pri is under the link */
 			if((vga_pri->bus->secondary >= dev->link[link].secondary ) &&
@@ -583,7 +583,7 @@ static void amdfam10_create_vga_resource
 	if (link == dev->links)
 		return;
 
-	printk(BIOS_DEBUG, "VGA: %s (aka node %d) link %d has VGA device\n", dev_path(dev), nodeid, link);
+	printk(DEBUG, "VGA: %s (aka node %d) link %d has VGA device\n", dev_path(dev), nodeid, link);
 	set_vga_enable_reg(nodeid, link);
 }
 
@@ -906,9 +906,9 @@ static void pci_domain_set_resources(dev
 		mem1 = find_resource(dev, 1|(link<<2));
 		mem2 = find_resource(dev, 2|(link<<2));
 
-		printk(BIOS_DEBUG, "base1: 0x%08Lx limit1: 0x%08Lx size: 0x%08Lx align: %d\n",
+		printk(DEBUG, "base1: 0x%08Lx limit1: 0x%08Lx size: 0x%08Lx align: %d\n",
 			mem1->base, mem1->limit, mem1->size, mem1->align);
-		printk(BIOS_DEBUG, "base2: 0x%08Lx limit2: 0x%08Lx size: 0x%08Lx align: %d\n",
+		printk(DEBUG, "base2: 0x%08Lx limit2: 0x%08Lx size: 0x%08Lx align: %d\n",
 			mem2->base, mem2->limit, mem2->size, mem2->align);
 
 		/* See if both resources have roughly the same limits */
@@ -934,9 +934,9 @@ static void pci_domain_set_resources(dev
 			mem1->base = resource_max(mem1);
 		}
 
-		printk(BIOS_DEBUG, "base1: 0x%08Lx limit1: 0x%08Lx size: 0x%08Lx align: %d\n",
+		printk(DEBUG, "base1: 0x%08Lx limit1: 0x%08Lx size: 0x%08Lx align: %d\n",
 			mem1->base, mem1->limit, mem1->size, mem1->align);
-		printk(BIOS_DEBUG, "base2: 0x%08Lx limit2: 0x%08Lx size: 0x%08Lx align: %d\n",
+		printk(DEBUG, "base2: 0x%08Lx limit2: 0x%08Lx size: 0x%08Lx align: %d\n",
 			mem2->base, mem2->limit, mem2->size, mem2->align);
 	}
 
@@ -1041,7 +1041,7 @@ static void pci_domain_set_resources(dev
 
 		}
 
-//		printk(BIOS_DEBUG, "node %d : mmio_basek=%08x, basek=%08x, limitk=%08x\n", i, mmio_basek, basek, limitk);
+//		printk(DEBUG, "node %d : mmio_basek=%08x, basek=%08x, limitk=%08x\n", i, mmio_basek, basek, limitk);
 
 		/* split the region to accomodate pci memory space */
 		if ( (basek < 4*1024*1024 ) && (limitk > mmio_basek) ) {
@@ -1057,7 +1057,7 @@ static void pci_domain_set_resources(dev
 					/* Leave some space for ACPI, PIRQ and MP tables */
 						high_tables_base = (mmio_basek - HIGH_TABLES_SIZE) * 1024;
 						high_tables_size = HIGH_TABLES_SIZE * 1024;
-						printk(BIOS_DEBUG, "(split)%xK table at =%08llx\n", HIGH_TABLES_SIZE,
+						printk(DEBUG, "(split)%xK table at =%08llx\n", HIGH_TABLES_SIZE,
 							     high_tables_base);
 					}
 #endif
@@ -1086,7 +1086,7 @@ static void pci_domain_set_resources(dev
 		ram_resource(dev, (idx | i), basek, sizek);
 		idx += 0x10;
 #if CONFIG_WRITE_HIGH_TABLES==1
-		printk(BIOS_DEBUG, "%d: mmio_basek=%08lx, basek=%08llx, limitk=%08llx\n",
+		printk(DEBUG, "%d: mmio_basek=%08lx, basek=%08llx, limitk=%08llx\n",
 			     i, mmio_basek, basek, limitk);
 		if (i==0 && high_tables_base==0) {
 		/* Leave some space for ACPI, PIRQ and MP tables */
@@ -1144,7 +1144,7 @@ static u32 amdfam10_domain_scan_bus(devi
 			if (!dev->link[0].disable_relaxed_ordering) {
 				httc |= HTTC_RSP_PASS_PW;
 			}
-			printk(BIOS_SPEW, "%s passpw: %s\n",
+			printk(SPEW, "%s passpw: %s\n",
 				dev_path(dev),
 				(!dev->link[0].disable_relaxed_ordering)?
 				"enabled":"disabled");
@@ -1247,34 +1247,34 @@ static u32 cpu_bus_scan(device_t dev, u3
 #if CONFIG_CBB
 	dev_mc = dev_find_slot(0, PCI_DEVFN(CONFIG_CDB, 0)); //0x00
 	if(dev_mc && dev_mc->bus) {
-		printk(BIOS_DEBUG, "%s found", dev_path(dev_mc));
+		printk(DEBUG, "%s found", dev_path(dev_mc));
 		pci_domain = dev_mc->bus->dev;
 		if(pci_domain && (pci_domain->path.type == DEVICE_PATH_PCI_DOMAIN)) {
-			printk(BIOS_DEBUG, "\n%s move to ",dev_path(dev_mc));
+			printk(DEBUG, "\n%s move to ",dev_path(dev_mc));
 			dev_mc->bus->secondary = CONFIG_CBB; // move to 0xff
-			printk(BIOS_DEBUG, "%s",dev_path(dev_mc));
+			printk(DEBUG, "%s",dev_path(dev_mc));
 
 		} else {
-			printk(BIOS_DEBUG, " but it is not under pci_domain directly ");
+			printk(DEBUG, " but it is not under pci_domain directly ");
 		}
-		printk(BIOS_DEBUG, "\n");
+		printk(DEBUG, "\n");
 
 	}
 	dev_mc = dev_find_slot(CONFIG_CBB, PCI_DEVFN(CONFIG_CDB, 0));
 	if(!dev_mc) {
 		dev_mc = dev_find_slot(0, PCI_DEVFN(0x18, 0));
 		if (dev_mc && dev_mc->bus) {
-			printk(BIOS_DEBUG, "%s found\n", dev_path(dev_mc));
+			printk(DEBUG, "%s found\n", dev_path(dev_mc));
 			pci_domain = dev_mc->bus->dev;
 			if(pci_domain && (pci_domain->path.type == DEVICE_PATH_PCI_DOMAIN)) {
 				if((pci_domain->links==1) && (pci_domain->link[0].children == dev_mc)) {
-					printk(BIOS_DEBUG, "%s move to ",dev_path(dev_mc));
+					printk(DEBUG, "%s move to ",dev_path(dev_mc));
 					dev_mc->bus->secondary = CONFIG_CBB; // move to 0xff
-					printk(BIOS_DEBUG, "%s\n",dev_path(dev_mc));
+					printk(DEBUG, "%s\n",dev_path(dev_mc));
 					while(dev_mc){
-						printk(BIOS_DEBUG, "%s move to ",dev_path(dev_mc));
+						printk(DEBUG, "%s move to ",dev_path(dev_mc));
 						dev_mc->path.pci.devfn -= PCI_DEVFN(0x18,0);
-						printk(BIOS_DEBUG, "%s\n",dev_path(dev_mc));
+						printk(DEBUG, "%s\n",dev_path(dev_mc));
 						dev_mc = dev_mc->sibling;
 					}
 				}
@@ -1286,7 +1286,7 @@ static u32 cpu_bus_scan(device_t dev, u3
 
 	dev_mc = dev_find_slot(CONFIG_CBB, PCI_DEVFN(CONFIG_CDB, 0));
 	if (!dev_mc) {
-		printk(BIOS_ERR, "%02x:%02x.0 not found", CONFIG_CBB, CONFIG_CDB);
+		printk(ERROR, "%02x:%02x.0 not found", CONFIG_CBB, CONFIG_CDB);
 		die("");
 	}
 
@@ -1301,7 +1301,7 @@ static u32 cpu_bus_scan(device_t dev, u3
 			pci_domain->link[1].link = 1;
 			pci_domain->link[1].dev = pci_domain;
 			pci_domain->link[1].children = 0;
-			printk(BIOS_DEBUG, "%s links increase to %d\n", dev_path(pci_domain), pci_domain->links);
+			printk(DEBUG, "%s links increase to %d\n", dev_path(pci_domain), pci_domain->links);
 		}
 		pci_domain->link[1].secondary = CONFIG_CBB - 1;
 	}
@@ -1355,7 +1355,7 @@ static u32 cpu_bus_scan(device_t dev, u3
 					 dev->link[j].dev = dev;
 				}
 				dev->links = linknum;
-				printk(BIOS_DEBUG, "%s links increase to %d\n", dev_path(dev), dev->links);
+				printk(DEBUG, "%s links increase to %d\n", dev_path(dev), dev->links);
 			}
 		}
 
@@ -1366,7 +1366,7 @@ static u32 cpu_bus_scan(device_t dev, u3
 			cores_found = (j >> 12) & 3; // dev is func 3
 			if (siblings > 3)
 				cores_found |= (j >> 13) & 4;
-			printk(BIOS_DEBUG, "  %s siblings=%d\n", dev_path(dev), cores_found);
+			printk(DEBUG, "  %s siblings=%d\n", dev_path(dev), cores_found);
 		}
 
 		u32 jj;
@@ -1416,7 +1416,7 @@ static u32 cpu_bus_scan(device_t dev, u3
 					 }
 				}
 	#endif
-				printk(BIOS_DEBUG, "CPU: %s %s\n",
+				printk(DEBUG, "CPU: %s %s\n",
 					dev_path(cpu), cpu->enabled?"enabled":"disabled");
 			}
 
Index: svn/src/northbridge/amd/amdfam10/raminit_amdmct.c
===================================================================
--- svn.orig/src/northbridge/amd/amdfam10/raminit_amdmct.c
+++ svn/src/northbridge/amd/amdfam10/raminit_amdmct.c
@@ -20,7 +20,7 @@
 
 static  void print_raminit(const char *strval, u32 val)
 {
-	printk(BIOS_DEBUG, "%s%08x\n", strval, val);
+	printk(DEBUG, "%s%08x\n", strval, val);
 }
 
 static  void print_tx(const char *strval, u32 val)
Index: svn/src/northbridge/amd/amdfam10/setup_resource_map.c
===================================================================
--- svn.orig/src/northbridge/amd/amdfam10/setup_resource_map.c
+++ svn/src/northbridge/amd/amdfam10/setup_resource_map.c
@@ -81,7 +81,7 @@ static void setup_resource_map_x_offset(
 #endif
 	for(i = 0; i < max; i += 4) {
 #if RES_DEBUG
-		printk(BIOS_DEBUG, "%04x: %02x %08x <- & %08x | %08x\n",
+		printk(DEBUG, "%04x: %02x %08x <- & %08x | %08x\n",
 			i/4, register_values[i],
 			register_values[i+1] + ( (register_values[i]==RES_PCI_IO) ? offset_pci_dev : 0),
 			register_values[i+2],
@@ -146,7 +146,7 @@ static void setup_resource_map_x(const u
 #endif
 	for(i = 0; i < max; i += 4) {
 #if RES_DEBUG
-		printk(BIOS_DEBUG, "%04x: %02x %08x <- & %08x | %08x\n",
+		printk(DEBUG, "%04x: %02x %08x <- & %08x | %08x\n",
 		i/4, register_values[i],register_values[i+1], register_values[i+2], register_values[i+3]);
 #endif
 		switch (register_values[i]) {
Index: svn/src/northbridge/amd/amdht/comlib.c
===================================================================
--- svn.orig/src/northbridge/amd/amdht/comlib.c
+++ svn/src/northbridge/amd/amdht/comlib.c
@@ -240,7 +240,7 @@ void CALLCONV AmdMSRWrite(uint32 Address
 
 void ErrorStop(u32 value)
 {
-	printk(BIOS_DEBUG, "Error: %08x ", value);
+	printk(DEBUG, "Error: %08x ", value);
 
 }
 
Index: svn/src/northbridge/amd/amdht/ht_wrapper.c
===================================================================
--- svn.orig/src/northbridge/amd/amdht/ht_wrapper.c
+++ svn/src/northbridge/amd/amdht/ht_wrapper.c
@@ -84,13 +84,13 @@ void AMD_CB_EventNotify (u8 evtClass, u1
 {
 	u8 i;
 
-	printk(BIOS_DEBUG, "AMD_CB_EventNotify()\n");
-	printk(BIOS_DEBUG, " event class: %02x\n event: %04x\n data: ", evtClass, event);
+	printk(DEBUG, "AMD_CB_EventNotify()\n");
+	printk(DEBUG, " event class: %02x\n event: %04x\n data: ", evtClass, event);
 
 	for (i = 0; i < *pEventData0; i++) {
-		printk(BIOS_DEBUG, " %02x ", *(pEventData0 + i));
+		printk(DEBUG, " %02x ", *(pEventData0 + i));
 	}
-	printk(BIOS_DEBUG, "\n");
+	printk(DEBUG, "\n");
 
 }
 
@@ -119,7 +119,7 @@ BOOL AMD_CB_ManualBUIDSwapList (u8 node,
 	static const u8 swaplist[] = { 0xFF, CONFIG_HT_CHAIN_UNITID_BASE, CONFIG_HT_CHAIN_END_UNITID_BASE, 0xFF };
 	/* If the BUID was adjusted in early_ht we need to do the manual override */
 	if ((CONFIG_HT_CHAIN_UNITID_BASE != 0) && (CONFIG_HT_CHAIN_END_UNITID_BASE != 0)) {
-		printk(BIOS_DEBUG, "AMD_CB_ManualBUIDSwapList()\n");
+		printk(DEBUG, "AMD_CB_ManualBUIDSwapList()\n");
 		if ((node == 0) && (link == 0)) {	/* BSP SB link */
 			*List = swaplist;
 			return 1;
@@ -170,9 +170,9 @@ void amd_ht_init(struct sys_info *sysinf
 		AMD_CB_EventNotify	// void (*AMD_CB_EventNotify) ();
 	};
 
-	printk(BIOS_DEBUG, "Enter amd_ht_init()\n");
+	printk(DEBUG, "Enter amd_ht_init()\n");
 	amdHtInitialize(&ht_wrapper);
-	printk(BIOS_DEBUG, "Exit amd_ht_init()\n");
+	printk(DEBUG, "Exit amd_ht_init()\n");
 
 
 }
Index: svn/src/northbridge/amd/amdk8/amdk8_acpi.c
===================================================================
--- svn.orig/src/northbridge/amd/amdk8/amdk8_acpi.c
+++ svn/src/northbridge/amd/amdk8/amdk8_acpi.c
@@ -81,7 +81,7 @@ unsigned long acpi_create_srat_lapics(un
 		if (!cpu->enabled) {
 			continue;
 		}
-		printk(BIOS_DEBUG, "SRAT: lapic cpu_index=%02x, node_id=%02x, apic_id=%02x\n", cpu_index, cpu->path.apic.node_id, cpu->path.apic.apic_id);
+		printk(DEBUG, "SRAT: lapic cpu_index=%02x, node_id=%02x, apic_id=%02x\n", cpu_index, cpu->path.apic.node_id, cpu->path.apic.apic_id);
 		current += acpi_create_srat_lapic((acpi_srat_lapic_t *)current, cpu->path.apic.node_id, cpu->path.apic.apic_id);
 		cpu_index++;
 	}
@@ -110,7 +110,7 @@ static void set_srat_mem(void *gp, struc
 	basek = resk(res->base);
 	sizek = resk(res->size);
 
-	printk(BIOS_DEBUG, "set_srat_mem: dev %s, res->index=%04lx startk=%08lx, sizek=%08lx\n",
+	printk(DEBUG, "set_srat_mem: dev %s, res->index=%04lx startk=%08lx, sizek=%08lx\n",
 		     dev_path(dev), res->index, basek, sizek);
 	/*
 	 * 0-640K must be on node 0
Index: svn/src/northbridge/amd/amdk8/amdk8_f.h
===================================================================
--- svn.orig/src/northbridge/amd/amdk8/amdk8_f.h
+++ svn/src/northbridge/amd/amdk8/amdk8_f.h
@@ -561,7 +561,7 @@ static void wait_all_core0_mem_trained(s
 #ifdef __PRE_RAM__
 		print_debug("mem_trained["); print_debug_hex8(i); print_debug("]="); print_debug_hex8(sysinfo->mem_trained[i]); print_debug("\n");
 #else
-		printk(BIOS_DEBUG, "mem_trained[%02x]=%02x\n", i, sysinfo->mem_trained[i]); 
+		printk(DEBUG, "mem_trained[%02x]=%02x\n", i, sysinfo->mem_trained[i]);
 #endif
 		switch(sysinfo->mem_trained[i]) {
 		case 0: //don't need train
@@ -579,7 +579,7 @@ static void wait_all_core0_mem_trained(s
 		print_debug("mem trained failed\n");
 		soft_reset();
 #else
-		printk(BIOS_DEBUG, "mem trained failed\n"); 
+		printk(DEBUG, "mem trained failed\n");
 		hard_reset();
 #endif
 	}
Index: svn/src/northbridge/amd/amdk8/coherent_ht.c
===================================================================
--- svn.orig/src/northbridge/amd/amdk8/coherent_ht.c
+++ svn/src/northbridge/amd/amdk8/coherent_ht.c
@@ -111,7 +111,7 @@
 
 static inline void print_linkn (const char *strval, uint8_t byteval)
 {
-	printk(BIOS_DEBUG, "%s%02x\n", strval, byteval);
+	printk(DEBUG, "%s%02x\n", strval, byteval);
 }
 
 static void disable_probes(void)
@@ -1496,7 +1496,7 @@ static unsigned setup_smp(void)
 		nodes = setup_smp8();
 #endif
 
-	printk(BIOS_DEBUG, "%02x nodes initialized.\n", nodes);
+	printk(DEBUG, "%02x nodes initialized.\n", nodes);
 
 	return nodes;
 }
Index: svn/src/northbridge/amd/amdk8/debug.c
===================================================================
--- svn.orig/src/northbridge/amd/amdk8/debug.c
+++ svn/src/northbridge/amd/amdk8/debug.c
@@ -10,14 +10,14 @@
 static inline void print_debug_addr(const char *str, void *val)
 {
 #if CACHE_AS_RAM_ADDRESS_DEBUG == 1
-		printk(BIOS_DEBUG, "------Address debug: %s%x------\n", str, val);
+		printk(DEBUG, "------Address debug: %s%x------\n", str, val);
 #endif
 }
 
 #if 1
 static void print_debug_pci_dev(unsigned dev)
 {
-	printk(BIOS_DEBUG, "PCI: %02x:%02x.%02x", (dev>>20) & 0xff, (dev>>15) & 0x1f, (dev>>12) & 0x7);
+	printk(DEBUG, "PCI: %02x:%02x.%02x", (dev>>20) & 0xff, (dev>>15) & 0x1f, (dev>>12) & 0x7);
 }
 
 static void print_pci_devices(void)
@@ -34,7 +34,7 @@ static void print_pci_devices(void)
 			continue;
 		}
 		print_debug_pci_dev(dev);
-		printk(BIOS_DEBUG, " %04x:%04x\n", (id & 0xffff), (id>>16));
+		printk(DEBUG, " %04x:%04x\n", (id & 0xffff), (id>>16));
 		if(((dev>>12) & 0x07) == 0) {
 			uint8_t hdr_type;
 			hdr_type = pci_read_config8(dev, PCI_HEADER_TYPE);
@@ -53,10 +53,10 @@ static void dump_pci_device(unsigned dev
 	for(i = 0; i < 256; i++) {
 		unsigned char val;
 		if ((i & 0x0f) == 0) {
-			printk(BIOS_DEBUG, "\n%02x:",i);
+			printk(DEBUG, "\n%02x:",i);
 		}
 		val = pci_read_config8(dev, i);
-		printk(BIOS_DEBUG, " %02x", val);
+		printk(DEBUG, " %02x", val);
 	}
 	print_debug("\n");
 }
@@ -72,10 +72,10 @@ static void dump_pci_device_index_wait(u
 	for(i = 0; i < 0x40; i++) {
 		uint32_t val;
 		int j;
-		printk(BIOS_DEBUG, "\n%02x:",i);
+		printk(DEBUG, "\n%02x:",i);
 		val = pci_read_config32_index_wait(dev, index_reg, i);
 		for(j=0;j<4;j++) {
-			printk(BIOS_DEBUG, " %02x", val & 0xff);
+			printk(DEBUG, " %02x", val & 0xff);
 			val >>= 8;
 		}
 
@@ -145,38 +145,38 @@ static void dump_spd_registers(const str
 		device = ctrl->channel0[i];
 		if (device) {
 			int j;
-			printk(BIOS_DEBUG, "dimm: %02x.0: %02x", i, device);
+			printk(DEBUG, "dimm: %02x.0: %02x", i, device);
 			for(j = 0; j < 128; j++) {
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					printk(BIOS_DEBUG, "\n%02x: ", j);
+					printk(DEBUG, "\n%02x: ", j);
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
 					break;
 				}
 				byte = status & 0xff;
-				printk(BIOS_DEBUG, "%02x ", byte);
+				printk(DEBUG, "%02x ", byte);
 			}
 			print_debug("\n");
 		}
 		device = ctrl->channel1[i];
 		if (device) {
 			int j;
-			printk(BIOS_DEBUG, "dimm: %02x.1: %02x", i, device);
+			printk(DEBUG, "dimm: %02x.1: %02x", i, device);
 			for(j = 0; j < 128; j++) {
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					printk(BIOS_DEBUG, "\n%02x: ", j);
+					printk(DEBUG, "\n%02x: ", j);
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
 					break;
 				}
 				byte = status & 0xff;
-				printk(BIOS_DEBUG, "%02x ", byte);
+				printk(DEBUG, "%02x ", byte);
 			}
 			print_debug("\n");
 		}
@@ -189,7 +189,7 @@ static void dump_smbus_registers(void)
 	for(device = 1; device < 0x80; device++) {
 		int j;
 		if( smbus_read_byte(device, 0) < 0 ) continue;
-		printk(BIOS_DEBUG, "smbus: %02x", device);
+		printk(DEBUG, "smbus: %02x", device);
 		for(j = 0; j < 256; j++) {
 			int status;
 			unsigned char byte;
@@ -198,10 +198,10 @@ static void dump_smbus_registers(void)
 				break;
 			}
 			if ((j & 0xf) == 0) {
-				printk(BIOS_DEBUG, "\n%02x: ",j);
+				printk(DEBUG, "\n%02x: ",j);
 			}
 			byte = status & 0xff;
-			printk(BIOS_DEBUG, "%02x ", byte);
+			printk(DEBUG, "%02x ", byte);
 		}
 		print_debug("\n");
 	}
@@ -213,14 +213,14 @@ static void dump_io_resources(unsigned p
 
 	int i;
 	udelay(2000);
-	printk(BIOS_DEBUG, "%04x:\n", port);
+	printk(DEBUG, "%04x:\n", port);
 	for(i=0;i<256;i++) {
 		uint8_t val;
 		if ((i & 0x0f) == 0) {
-			printk(BIOS_DEBUG, "%02x:", i);
+			printk(DEBUG, "%02x:", i);
 		}
 		val = inb(port);
-		printk(BIOS_DEBUG, " %02x",val);
+		printk(DEBUG, " %02x",val);
 		if ((i & 0x0f) == 0x0f) {
 			print_debug("\n");
 		}
@@ -234,9 +234,9 @@ static void dump_mem(unsigned start, uns
 	print_debug("dump_mem:");
 	for(i=start;i<end;i++) {
 		if((i & 0xf)==0) {
-			printk(BIOS_DEBUG, "\n%08x:", i);
+			printk(DEBUG, "\n%08x:", i);
 		}
-		printk(BIOS_DEBUG, " %02x", (unsigned char)*((unsigned char *)i));
+		printk(DEBUG, " %02x", (unsigned char)*((unsigned char *)i));
 	}
 	print_debug("\n");
  }
Index: svn/src/northbridge/amd/amdk8/exit_from_self.c
===================================================================
--- svn.orig/src/northbridge/amd/amdk8/exit_from_self.c
+++ svn/src/northbridge/amd/amdk8/exit_from_self.c
@@ -43,7 +43,7 @@ void exit_from_self(int controllers, con
 		dcl = pci_read_config32(ctrl[i].f2, DRAM_CONFIG_LOW);
 		if (dcl & DCL_DimmEccEn) {
 			u32 mnc;
-			printk(BIOS_SPEW, "ECC enabled\n");
+			printk(SPEW, "ECC enabled\n");
 			mnc = pci_read_config32(ctrl[i].f3, MCA_NB_CONFIG);
 			mnc |= MNC_ECC_EN;
 			if (dcl & DCL_Width128) {
@@ -52,7 +52,7 @@ void exit_from_self(int controllers, con
 			pci_write_config32(ctrl[i].f3, MCA_NB_CONFIG, mnc);
 		}
 
-		printk(BIOS_DEBUG, "before resume errata #%d\n",
+		printk(DEBUG, "before resume errata #%d\n",
 			     (is_post_rev_g) ? 270 : 125);
 		/* 
 		   1. Restore memory controller registers as normal.
@@ -70,7 +70,7 @@ void exit_from_self(int controllers, con
 		enable_lapic();
 		init_timer();
 
-		printk(BIOS_DEBUG, "before exit errata - timer enabled\n");
+		printk(DEBUG, "before exit errata - timer enabled\n");
 
 		if (is_post_rev_g) {
 			dcl =
@@ -86,7 +86,7 @@ void exit_from_self(int controllers, con
 
 		udelay(800);
 
-		printk(BIOS_DEBUG, "before exit errata - after mdelay\n");
+		printk(DEBUG, "before exit errata - after mdelay\n");
 
 		dcl = pci_read_config32(ctrl[i].f2, DRAM_INIT);
 		dcl &= ~DI_EnDramInit;
@@ -108,7 +108,7 @@ void exit_from_self(int controllers, con
 		pcidev =
 		    0x80000000 | ((((ctrl[i].node_id + 0x18) << 3) | 0x2)
 				  << 8) | 0x90;
-		printk(BIOS_DEBUG, "pcidev is %x\n", pcidev);
+		printk(DEBUG, "pcidev is %x\n", pcidev);
 		bitmask = 2;
 		__asm__ __volatile__("pushl %0\n\t"
 				     "movw $0xcf8, %%dx\n\t"
@@ -125,7 +125,7 @@ void exit_from_self(int controllers, con
 				     "q"(bitmask):"edx");
 	}
 
-	printk(BIOS_DEBUG, "after exit errata\n");
+	printk(DEBUG, "after exit errata\n");
 
 
 	for (i = 0; i < controllers; i++) {
@@ -136,12 +136,12 @@ void exit_from_self(int controllers, con
 		if (sysinfo->meminfo[i].dimm_mask == 0x00)
 			continue;
 
-		printk(BIOS_DEBUG, "Exiting memory from self refresh: ");
+		printk(DEBUG, "Exiting memory from self refresh: ");
 		int loops = 0;
 		do {
 			loops++;
 			if ((loops & 1023) == 0) {
-				printk(BIOS_DEBUG, ".");
+				printk(DEBUG, ".");
 			}
 			dcm =
 			    pci_read_config32(ctrl[i].f2, DRAM_CTRL_MISC);
@@ -149,11 +149,11 @@ void exit_from_self(int controllers, con
 			  0) /* || ((dcm & DCM_DramEnabled) == 0) */ );
 
 		if (loops >= TIMEOUT_LOOPS) {
-			printk(BIOS_DEBUG, "timeout with with cntrl[%d]\n", i);
+			printk(DEBUG, "timeout with with cntrl[%d]\n", i);
 			continue;
 		}
 
-		printk(BIOS_DEBUG, " done\n");
+		printk(DEBUG, " done\n");
 	}
 
 #if CONFIG_HW_MEM_HOLE_SIZEK != 0
Index: svn/src/northbridge/amd/amdk8/get_sblk_pci1234.c
===================================================================
--- svn.orig/src/northbridge/amd/amdk8/get_sblk_pci1234.c
+++ svn/src/northbridge/amd/amdk8/get_sblk_pci1234.c
@@ -55,7 +55,7 @@ unsigned node_link_to_bus(unsigned node,
 		dst_link = (config_map >> 8) & 3;
 		bus_base = (config_map >> 16) & 0xff;
 #if 0
-		printk(BIOS_DEBUG, "node.link=bus: %d.%d=%d 0x%2x->0x%08x\n",
+		printk(DEBUG, "node.link=bus: %d.%d=%d 0x%2x->0x%08x\n",
 			dst_node, dst_link, bus_base,
 			reg, config_map);
 #endif
